<template>
  <CForm
    class="user-form"
    @submit.prevent="onSubmit"
  >
    <CCard>
      <CCardBody>
        <div class="box-inner-form mw-9x">
          <CInput
            v-model="form.name"
            type="text"
            label="Name"
            placeholder="Enter name"
            horizontal
          >
            <template #prepend-content>
              <font-awesome-icon :icon="['fas', 'user-tie']" class="width-1x" />
            </template>
          </CInput>

          <CInput
            v-model="form.email"
            type="text"
            label="Email"
            placeholder="Enter email"
            horizontal
          >
            <template #prepend-content>
              <font-awesome-icon :icon="['fas', 'envelope']" class="width-1x" />
            </template>
          </CInput>

          <CInput
            v-model="form.password"
            type="text"
            label="Password"
            placeholder="Enter password"
            horizontal
          >
            <template #prepend-content>
              <font-awesome-icon :icon="['fas', 'lock']" class="width-1x" />
            </template>
          </CInput>

          <CInput
            v-model="form.password"
            type="text"
            label="Re-Password"
            placeholder="Enter password again"
            horizontal
          >
            <template #prepend-content>
              <font-awesome-icon :icon="['fas', 'lock']" class="width-1x" />
            </template>
          </CInput>

          <CInput
            v-model="form.phone"
            type="text"
            label="Phone"
            placeholder="Enter phone"
            horizontal
          >
            <template #prepend-content>
              <font-awesome-icon :icon="['fas', 'phone']" class="width-1x" />
            </template>
          </CInput>

          <CInputFile
            label="Images"
            horizontal
            custom
            class="form-group"
          />

          <div role="group" class="form-group form-row">
            <CCol tag="label" sm="3" class="col-form-label" />
            <CCol sm="9">
              <img src="https://placeimg.com/700/300/any" alt="demo">
            </CCol>
          </div>

          <div role="group" class="form-group form-row">
            <CCol tag="label" sm="3" class="col-form-label">
              Status
            </CCol>
            <CCol sm="9" class="form-inline">
              <CInputRadio
                name="status"
                label="Active"
                :value="0"
                custom
                inline
              />
              <CInputRadio
                name="status"
                label="Inactive"
                :value="1"
                checked
                custom
                inline
              />
            </CCol>
          </div>
        </div>
      </CCardBody>

      <CCardFooter>
        <CButton
          type="submit"
          color="primary"
        >
          <font-awesome-icon :icon="['fas', 'save']" class="width-1x" />
          Save
        </CButton>

        <CButton
          color="secondary"
          @click="$emit('close')"
        >
          Cancel
        </CButton>
      </CCardFooter>
    </CCard>
  </CForm>
</template>

<style lang="scss" scoped>
  .user-form {
    .card {
      border-top: 0;
      margin-bottom: 0;
    }
  }
</style>

<script>
export default {
  props: {
    /**
     * User data
     */
    user: {
      type: Object,
      default: () => {}
    }
  },

  computed: {
    form () {
      const data = Object.assign({}, this.user)

      return data
    }
  },

  methods: {
  }
}
</script>
